---
Name: alma-9.1-min-install
Description: AlmaLinux-9.1 minimal installer
Documentation: |
  This BootEnv installs from the AlmaLinux 9.1 minimal ISO.

  ISOs can be downloaded from:

    * <https://mirrors.almalinux.org/isos.html>
Meta:
  color: blue
  feature-flags: change-stage-v2
  icon: linux
  title: Digital Rebar Community Content
  type: os
  group-by: Alma
OptionalParams:
  - operating-system-disk
  - provisioner-default-password-hash
  - kernel-console
  - kernel-options
  - proxy-servers
  - select-kickseed
  - kickstart-base-packages
  - extra-packages
OnlyUnknown: false
Loaders:
  amd64-uefi: EFI/BOOT/BOOTX64.EFI
  arm64-uefi: EFI/BOOT/BOOTAA64.EFI
OS:
  Name: alma-9.1-min
  Family: redhat
  Codename: alma
  Version: "9.1"
  SupportedArchitectures:
    x86_64:
      IsoFile: AlmaLinux-9.1-x86_64-minimal.iso
      Sha256: 3eebd50aabe93b9cbea3937dcf5e1d893e397a36de128ae60a8d46ff048fa0d6
      IsoUrl: https://iad.mirror.rackspace.com/almalinux-vault/9.1/isos/x86_64/AlmaLinux-9.1-x86_64-minimal.iso
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        inst.ks={{.Machine.Url}}/compute.ks
        inst.repo={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
    aarch64:
      IsoFile: AlmaLinux-9.1-aarch64-minimal.iso
      Sha256: aa1d01ee71636703892ca30563ddde40e16f42dc0ce983d7ef3ab035a08eedba
      IsoUrl: https://iad.mirror.rackspace.com/almalinux-vault/9.1/isos/aarch64/AlmaLinux-9.1-aarch64-minimal.iso
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        inst.ks={{.Machine.Url}}/compute.ks
        inst.repo={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
    ppc64le:
      IsoFile: AlmaLinux-9.1-ppc64le-minimal.iso
      Sha256: 8aca39e670323c75a731d967444cbb67261f4e8734a196ad0d3ac8b238beba45
      IsoUrl: https://iad.mirror.rackspace.com/almalinux-vault/9.1/isos/ppc64le/AlmaLinux-9.1-ppc64le-minimal.iso
      Loader: boot/grub/powerpc-ieee1275/core.elf
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        inst.ks={{.Machine.Url}}/compute.ks
        inst.repo={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
Templates:
  - Name: kexec
    Path: "{{.Machine.Path}}/kexec"
    ID: kexec.tmpl
  - Name: pxelinux
    Path: "pxelinux.cfg/{{.Machine.HexAddress}}"
    ID: default-pxelinux.tmpl
  - Name: ipxe
    Path: "{{.Machine.Address}}.ipxe"
    ID: default-ipxe.tmpl
  - Name: pxelinux-mac
    Path: 'pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}'
    ID: default-pxelinux.tmpl
  - Name: ipxe-mac
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
    ID: default-ipxe.tmpl
  - Name: grub
    Path: "grub/{{.Machine.Address}}.cfg"
    ID: default-grub.tmpl
  - Name: grub-mac
    Path: 'grub/{{.Machine.MacAddr "grub"}}.cfg'
    ID: default-grub.tmpl
  - Name: grub-http-boot
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg'
    ID: default-grub.tmpl
  - Name: compute.ks
    Path: "{{.Machine.Path}}/compute.ks"
    ID: select-kickseed.tmpl
